import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const agent = await client.agents.retrieve('agent_abc123');
console.log(agent.id);
import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
agent = client.agents.retrieve(
"agent_abc123",
)
print(agent.id)
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const agent = await client.agents.retrieve('agent_abc123');
console.log(agent.id);
import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
agent = client.agents.retrieve(
"agent_abc123",
)
print(agent.id)
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Cerca","description":"Build long-running agents on Cloudflare Workers with durable execution, custom tools, approvals, memory, and a cloud sandbox.","colors":{"primary":"#7C6340","light":"#E8E0D2","dark":"#7C6340"},"logo":{"light":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/light.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=3a952f50a305b017db4af3b52443e78d","dark":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/dark.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=f30eef939f273f15687674dc8671f91a","href":"https://docs.cerca.dev"},"favicon":"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/favicon.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=5c0a8c9a4b99f21be8bf0fa07e2d420e","background":{"color":{"light":"#FFFDF8","dark":"#141008"}},"navbar":{"links":[{"href":"https://app.cerca.dev/sign-in","label":"Sign in"}],"primary":{"type":"button","label":"Get an API key","href":"https://app.cerca.dev/settings"}},"footer":{"socials":{"github":"https://github.com/matrices"}},"seo":{"indexing":"navigable"},"icons":{"library":"lucide"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Changelog","icon":"list","href":"/changelog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cerca","hasAudioNarration":false,"actualSubdomain":"cerca","customDomains":["docs.cerca.dev"],"gitSource":{"type":"github","owner":"matrices","repo":"cell","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21ddd929c7042dd5f5fa13","collectionId":"ba226a70-e5d2-440b-8ce9-16ef02e5ae18","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a303907bbaa514ac1c6776e:failure","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"API Reference","count":66},{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"Threads","count":10},{"language":"default","tag":"Concepts","count":9},{"language":"default","tag":"Core concepts","count":9},{"language":"default","tag":"Agents","count":7},{"language":"default","tag":"Events","count":7},{"language":"default","tag":"Webhooks","count":7},{"language":"default","tag":"Approvals","count":6},{"language":"default","tag":"Connections","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/agents/retrieve-agent","slug":"/api-reference/agents/retrieve-agent","pageMetadata":{"title":"Retrieve agent","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}","href":"/api-reference/agents/retrieve-agent","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve agent","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}","href":"/api-reference/agents/retrieve-agent","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"security":["e978dc37-fd23-42b6-a114-f008de736857"],"tags":["Agents"],"parameters":["10ab5261-33b3-4d29-a335-498c7bfba8a2"],"responses":{"200":"3badaedc-f085-43a3-b4a2-db0bce3091de","400":"42fc51e2-638d-4491-87a9-bbc214f477b0","401":"c50319ad-37ca-4181-89ee-fa4c49902caf","403":"58acc8b5-2c7a-43e9-99b8-6f71d157badb","404":"b02482f8-c9c0-4d49-84d5-4f713d78b096","429":"7b764fd0-4bae-403c-9fe4-9224f5cb2e93","503":"ac401cb9-954b-4b4d-ac7f-2bab134d852f","default":"4e8fb14d-68ed-4179-af90-19aeaf2680e7"},"summary":"Retrieve agent","x-codeSamples":[{"lang":"JavaScript","source":"import Cerca from '@cerca-dev/sdk';\n\nconst client = new Cerca({\n apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted\n});\n\nconst agent = await client.agents.retrieve('agent_abc123');\n\nconsole.log(agent.id);"},{"lang":"Python","source":"import os\nfrom cerca import Cerca\n\nclient = Cerca(\n api_key=os.environ.get(\"CERCA_API_KEY\"), # This is the default and can be omitted\n)\nagent = client.agents.retrieve(\n \"agent_abc123\",\n)\nprint(agent.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tagent, err := client.Agents.Get(context.TODO(), \"agent_abc123\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", agent.ID)\n}\n"},{"lang":"Ruby","source":"require \"cerca\"\n\ncerca = Cerca::Client.new(api_key: \"My API Key\")\n\nagent = cerca.agents.retrieve(\"agent_abc123\")\n\nputs(agent)"},{"lang":"CLI","source":"cerca agents retrieve \\\n --api-key 'My API Key' \\\n --agent-id agent_abc123"}],"method":"get","type":"path","servers":["d2b2aefa-8204-4fa4-b0ac-351a68bfe8fe"],"path":"/agents/{agentId}","baseUrlOptions":["https://api.cerca.dev"],"title":"Retrieve agent","description":"","codeSamples":[{"lang":"JavaScript","source":"import Cerca from '@cerca-dev/sdk';\n\nconst client = new Cerca({\n apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted\n});\n\nconst agent = await client.agents.retrieve('agent_abc123');\n\nconsole.log(agent.id);"},{"lang":"Python","source":"import os\nfrom cerca import Cerca\n\nclient = Cerca(\n api_key=os.environ.get(\"CERCA_API_KEY\"), # This is the default and can be omitted\n)\nagent = client.agents.retrieve(\n \"agent_abc123\",\n)\nprint(agent.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tagent, err := client.Agents.Get(context.TODO(), \"agent_abc123\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", agent.ID)\n}\n"},{"lang":"Ruby","source":"require \"cerca\"\n\ncerca = Cerca::Client.new(api_key: \"My API Key\")\n\nagent = cerca.agents.retrieve(\"agent_abc123\")\n\nputs(agent)"},{"lang":"CLI","source":"cerca agents retrieve \\\n --api-key 'My API Key' \\\n --agent-id agent_abc123"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"10ab5261-33b3-4d29-a335-498c7bfba8a2":{"schema":{"type":"string","minLength":1,"example":"agent_abc123","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"in":"path","name":"agentId"}},"responses":{"3badaedc-f085-43a3-b4a2-db0bce3091de":{"description":"Agent details.","content":{"application/json":{"schema":{"type":"object","properties":{"configuration":{"type":"object","properties":{"approvals":{"type":"object","properties":{"tools":{"type":"object","additionalProperties":{"type":"string","enum":["always","never"],"uniqueKey":"configuration.approvals.tools.additionalProperties","typeLabel":"enum\u003cstring>"},"uniqueKey":"configuration.approvals.tools","typeLabel":"object"},"timeoutMs":{"type":"number","uniqueKey":"configuration.approvals.timeoutMs","typeLabel":"number"}},"uniqueKey":"configuration.approvals","typeLabel":"object"},"defaultModel":{"type":"string","uniqueKey":"configuration.defaultModel","typeLabel":"string"},"instructions":{"type":"string","uniqueKey":"configuration.instructions","typeLabel":"string"},"tools":{"type":"array","items":{"type":"string","minLength":1,"description":"Configurable runtime tool name, configurable namespace wildcard such as sandbox.*, or external namespace wildcard such as google.*. At thread and turn scope, entries can only narrow the agent's effective tools.","examples":["sandbox.*","memory.read","google.*"],"uniqueKey":"configuration.tools.items.[INDEX]","typeLabel":"string"},"description":"Agent tool allowlist. These tools are subject to fleet defaults and locks, and thread or turn requests may only narrow the resulting effective tools.","uniqueKey":"configuration.tools","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"configuration","typeLabel":"object"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"fleetId":{"type":"string","isRequired":true,"uniqueKey":"fleetId","typeLabel":"string"},"executionPrincipal":{"oneOf":[{"type":"object","title":"UserExecutionPrincipal","required":["kind","userId"],"x-stainless-variantName":"UserExecutionPrincipal","properties":{"kind":{"type":"string","enum":["user"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"executionPrincipal.oneOf.0.kind","typeLabel":"enum\u003cstring>"},"userId":{"type":"string","isRequired":true,"uniqueKey":"executionPrincipal.oneOf.0.userId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"executionPrincipal.oneOf.0","typeLabel":"UserExecutionPrincipal · object"},{"type":"object","title":"ApiKeyExecutionPrincipal","required":["fleetId","keyId","kind"],"x-stainless-variantName":"ApiKeyExecutionPrincipal","properties":{"fleetId":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"executionPrincipal.oneOf.1.fleetId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"executionPrincipal.oneOf.1.fleetId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executionPrincipal.oneOf.1.fleetId","typeLabel":"string | null"},"keyId":{"type":"string","isRequired":true,"uniqueKey":"executionPrincipal.oneOf.1.keyId","typeLabel":"string"},"kind":{"type":"string","enum":["apiKey"],"x-stainless-const":true,"isRequired":true,"uniqueKey":"executionPrincipal.oneOf.1.kind","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"executionPrincipal.oneOf.1","typeLabel":"ApiKeyExecutionPrincipal · object"},{"type":"null","isRequired":true,"uniqueKey":"executionPrincipal.oneOf.2","typeLabel":"null"}],"isRequired":true,"uniqueKey":"executionPrincipal","typeLabel":"UserExecutionPrincipal · object | ApiKeyExecutionPrincipal · object | null"},"id":{"type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"metadata":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"metadata.additionalProperties","typeLabel":"string"},"description":"Arbitrary string metadata stored on an agent. Runtime enforces maximum key and value sizes.","example":{"project":"alpha"},"isRequired":true,"uniqueKey":"metadata","typeLabel":"object"},"orgId":{"type":"string","isRequired":true,"uniqueKey":"orgId","typeLabel":"string"},"updatedAt":{"type":"string","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"},"userId":{"type":"string","isRequired":true,"uniqueKey":"userId","typeLabel":"string"},"effective":{"type":"object","properties":{"approvals":{"type":"object","properties":{"tools":{"type":"object","additionalProperties":{"type":"string","enum":["always","never"],"uniqueKey":"effective.approvals.tools.additionalProperties","typeLabel":"enum\u003cstring>"},"isRequired":true,"uniqueKey":"effective.approvals.tools","typeLabel":"object"},"timeoutMs":{"type":"number","isRequired":true,"uniqueKey":"effective.approvals.timeoutMs","typeLabel":"number"}},"required":["tools","timeoutMs"],"isRequired":true,"uniqueKey":"effective.approvals","typeLabel":"object"},"approvalsWritableByAgent":{"type":"boolean","isRequired":true,"uniqueKey":"effective.approvalsWritableByAgent","typeLabel":"boolean"},"defaultModel":{"type":"string","isRequired":true,"uniqueKey":"effective.defaultModel","typeLabel":"string"},"lockedByFleet":{"type":"array","items":{"type":"string","enum":["defaultModel","instructions","tools","approvals"],"uniqueKey":"effective.lockedByFleet.items.[INDEX]","typeLabel":"enum\u003cstring>"},"isRequired":true,"uniqueKey":"effective.lockedByFleet","typeLabel":"enum\u003cstring>[]"},"resolvedFromFleet":{"type":"array","items":{"type":"string","enum":["defaultModel","instructions","tools","approvals"],"uniqueKey":"effective.resolvedFromFleet.items.[INDEX]","typeLabel":"enum\u003cstring>"},"isRequired":true,"uniqueKey":"effective.resolvedFromFleet","typeLabel":"enum\u003cstring>[]"},"tools":{"type":"array","items":{"type":"string","enum":["get_time","sub_thread","wait","tool.call","tool.discover","artifact.read","agent.threads.list","agent.threads.get","agent.approvals.cancel","agent.approvals.grant_thread","agent.approvals.grant_agent","agent.create","agent.approvals.update","tool.connect","sandbox.exec","sandbox.read","sandbox.write_file","sandbox.read_file","sandbox.spawn","sandbox.stdin","sandbox.session_read","sandbox.kill","sandbox.list_sessions","sandbox.sync_artifact","memory.read","memory.list","memory.search","memory.write","memory.delete","db.query","web.search","web.fetch","agent.schedule.list","agent.schedule.create","agent.schedule.update","agent.schedule.delete","agent.schedule.trigger"],"uniqueKey":"effective.tools.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"Effective internal runtime tools after applying fleet defaults, fleet locks, and the agent allowlist.","isRequired":true,"uniqueKey":"effective.tools","typeLabel":"enum\u003cstring>[]"},"instructions":{"type":"string","uniqueKey":"effective.instructions","typeLabel":"string"}},"required":["approvals","approvalsWritableByAgent","defaultModel","lockedByFleet","resolvedFromFleet","tools"],"uniqueKey":"effective","typeLabel":"object"}},"required":["configuration","createdAt","fleetId","executionPrincipal","id","metadata","orgId","updatedAt","userId"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"configuration":{"approvals":{"tools":{},"timeoutMs":123},"defaultModel":"\u003cstring>","instructions":"\u003cstring>","tools":["sandbox.*"]},"createdAt":"\u003cstring>","fleetId":"\u003cstring>","executionPrincipal":{"kind":"user","userId":"\u003cstring>"},"id":"\u003cstring>","metadata":{"project":"alpha"},"orgId":"\u003cstring>","updatedAt":"\u003cstring>","userId":"\u003cstring>","effective":{"approvals":{"tools":{},"timeoutMs":123},"approvalsWritableByAgent":true,"defaultModel":"\u003cstring>","lockedByFleet":["defaultModel"],"resolvedFromFleet":["defaultModel"],"tools":["get_time"],"instructions":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"42fc51e2-638d-4491-87a9-bbc214f477b0":{"description":"Invalid runtime request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"c50319ad-37ca-4181-89ee-fa4c49902caf":{"description":"Authentication required.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"58acc8b5-2c7a-43e9-99b8-6f71d157badb":{"description":"Access denied or non-transient quota exceeded. Limit errors include a stable code field.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"b02482f8-c9c0-4d49-84d5-4f713d78b096":{"description":"Runtime resource not found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"7b764fd0-4bae-403c-9fe4-9224f5cb2e93":{"description":"Transient capacity limit exceeded. Limit errors include a stable code field.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"ac401cb9-954b-4b4d-ac7f-2bab134d852f":{"description":"Required runtime dependency unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"},"4e8fb14d-68ed-4179-af90-19aeaf2680e7":{"description":"Runtime error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"code":{"type":"string","description":"Stable machine-readable error code when the API can provide one.","example":"MONTHLY_TOKEN_BUDGET_EXCEEDED","uniqueKey":"code","typeLabel":"string"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"\u003cstring>","code":"MONTHLY_TOKEN_BUDGET_EXCEEDED"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"e978dc37-fd23-42b6-a114-f008de736857":{"bearerAuth":{"bearerFormat":"Cerca API key","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"d2b2aefa-8204-4fa4-b0ac-351a68bfe8fe":{"url":"https://api.cerca.dev"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"Cerca API key","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml"},"subdomain":"cerca","siteName":"Cerca","title":"Retrieve agent - Cerca","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-13T04:07:01.581Z","originalFileLocation":"api-reference/agents/retrieve-agent.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Cerca\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve agent - Cerca\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cerca\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.cerca.dev/api-reference/agents/retrieve-agent\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cerca.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Retrieve+agent\u0026amp;theme=fc49af25e83b722074099bcb\u0026amp;signature=51914d5e89597dc74aaaa1f60e4b9630305c3c0b2eb0bcca0a6b507dd69a97df\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve agent - Cerca\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cerca.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Retrieve+agent\u0026amp;theme=fc49af25e83b722074099bcb\u0026amp;signature=51914d5e89597dc74aaaa1f60e4b9630305c3c0b2eb0bcca0a6b507dd69a97df\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/cerca/U1XT9hQUrE53iVjp/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cerca\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7C6340\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.cerca.dev/api-reference/agents/retrieve-agent\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/agents/retrieve-agent.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.cerca.dev/#organization\",\"name\":\"Cerca\",\"url\":\"https://docs.cerca.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/cerca/avU2YjV-ayl9ITnW/logo/light.svg?fit=max\u0026auto=format\u0026n=avU2YjV-ayl9ITnW\u0026q=85\u0026s=3a952f50a305b017db4af3b52443e78d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.cerca.dev#website\",\"name\":\"Cerca\",\"url\":\"https://docs.cerca.dev\",\"publisher\":{\"@id\":\"https://docs.cerca.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent#webpage\",\"url\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent\",\"name\":\"Retrieve agent\",\"dateModified\":\"2026-05-13T04:07:01.581Z\",\"isPartOf\":{\"@id\":\"https://docs.cerca.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Agents\",\"item\":\"https://docs.cerca.dev/api-reference/agents/list-agents\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Retrieve agent\",\"item\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent#apireference\",\"headline\":\"Retrieve agent\",\"name\":\"Retrieve agent\",\"url\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent\",\"mainEntityOfPage\":{\"@id\":\"https://docs.cerca.dev/api-reference/agents/retrieve-agent#webpage\"},\"dateModified\":\"2026-05-13T04:07:01.581Z\",\"publisher\":{\"@id\":\"https://docs.cerca.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.cerca.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cerca\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Cerca","nav":{"global":{"anchors":[{"anchor":"Changelog","icon":"list","href":"/changelog"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/introduction"}]},{"tab":"API Reference","icon":"square-terminal","groups":[{"group":"Auth","pages":[{"title":"Retrieve context","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /auth/context","href":"/api-reference/auth/retrieve-context"},{"title":"List fleets","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /auth/fleets","href":"/api-reference/auth/list-fleets"}]},{"group":"OAuth","pages":[{"title":"Start OAuth authorization","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /oauth/connect/{provider}","href":"/api-reference/oauth/start-oauth-authorization"}]},{"group":"Connections","pages":[{"title":"Create API key","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /connections/api-keys","href":"/api-reference/connections/create-api-key"},{"title":"List connections","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /connections","href":"/api-reference/connections/list-connections"},{"title":"Delete connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /connections/{connectionId}","href":"/api-reference/connections/delete-connection"},{"title":"List connections","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/connections","href":"/api-reference/connections/list-connections-1"},{"title":"Attach connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/connections","href":"/api-reference/connections/attach-connection"},{"title":"Detach connection","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/connections/{connectionId}","href":"/api-reference/connections/detach-connection"}]},{"group":"Tools","pages":[{"title":"List tools","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools","href":"/api-reference/tools/list-tools"},{"title":"Create tool","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/tools","href":"/api-reference/tools/create-tool"},{"title":"Retrieve tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/retrieve-tool-source"},{"title":"Update tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/update-tool-source"},{"title":"Delete tool source","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /fleets/{fleetId}/tools/{sourceId}","href":"/api-reference/tools/delete-tool-source"},{"title":"List tools","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/tools","href":"/api-reference/tools/list-tools-1"}]},{"group":"Webhooks","pages":[{"title":"List webhooks","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/webhooks","href":"/api-reference/webhooks/list-webhooks"},{"title":"Create webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks","href":"/api-reference/webhooks/create-webhook"},{"title":"Retrieve webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/retrieve-webhook"},{"title":"Update webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/update-webhook"},{"title":"Delete webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /fleets/{fleetId}/webhooks/{webhookId}","href":"/api-reference/webhooks/delete-webhook"},{"title":"Rotate webhook secret","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks/{webhookId}/rotate","href":"/api-reference/webhooks/rotate-webhook-secret"},{"title":"Send test webhook","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /fleets/{fleetId}/webhooks/{webhookId}/test","href":"/api-reference/webhooks/send-test-webhook"}]},{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents","href":"/api-reference/agents/list-agents"},{"title":"Create agent","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents","href":"/api-reference/agents/create-agent"},{"title":"Retrieve agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}","href":"/api-reference/agents/retrieve-agent"},{"title":"Update agent","description":null,"deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}","href":"/api-reference/agents/update-agent"},{"title":"Delete agent","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}","href":"/api-reference/agents/delete-agent"},{"title":"Retrieve config","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/config","href":"/api-reference/agents/retrieve-config"},{"title":"Update metadata","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml patch /agents/{agentId}/metadata","href":"/api-reference/agents/update-metadata"}]},{"group":"Context","pages":[{"title":"List context entries","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context","href":"/api-reference/context/list-context-entries"},{"title":"Retrieve context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context/entry","href":"/api-reference/context/retrieve-context-entry"},{"title":"Update context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}/context/entry","href":"/api-reference/context/update-context-entry"},{"title":"Delete context entry","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/context/entry","href":"/api-reference/context/delete-context-entry"},{"title":"Search context","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/context/search","href":"/api-reference/context/search-context"}]},{"group":"Schedules","pages":[{"title":"List schedules","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/schedules","href":"/api-reference/schedules/list-schedules"},{"title":"Create schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/schedules","href":"/api-reference/schedules/create-schedule"},{"title":"Update schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml put /agents/{agentId}/schedules/{scheduleId}","href":"/api-reference/schedules/update-schedule"},{"title":"Delete schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/schedules/{scheduleId}","href":"/api-reference/schedules/delete-schedule"},{"title":"Trigger schedule","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/schedules/{scheduleId}/trigger","href":"/api-reference/schedules/trigger-schedule"}]},{"group":"Threads","pages":[{"title":"List threads","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads","href":"/api-reference/threads/list-threads"},{"title":"Create thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads","href":"/api-reference/threads/create-thread"},{"title":"Retrieve thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}","href":"/api-reference/threads/retrieve-thread"},{"title":"List thread messages","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/messages","href":"/api-reference/threads/list-thread-messages"},{"title":"Get thread activity","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/activity","href":"/api-reference/threads/get-thread-activity"},{"title":"Create turn","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/turns","href":"/api-reference/threads/create-turn"},{"title":"Steer thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/steer","href":"/api-reference/threads/steer-thread"},{"title":"Cancel thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/cancel","href":"/api-reference/threads/cancel-thread"},{"title":"Close thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/close","href":"/api-reference/threads/close-thread"},{"title":"Compact thread","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/compact","href":"/api-reference/threads/compact-thread"}]},{"group":"Approvals","pages":[{"title":"List approvals","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/approvals","href":"/api-reference/approvals/list-approvals"},{"title":"List approval grants","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/approval-grants","href":"/api-reference/approvals/list-approval-grants"},{"title":"Delete approval grant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/approval-grants/{grantId}","href":"/api-reference/approvals/delete-approval-grant"},{"title":"List approval grants","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/approval-grants","href":"/api-reference/approvals/list-approval-grants-1"},{"title":"Delete approval grant","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml delete /agents/{agentId}/threads/{threadId}/approval-grants/{grantId}","href":"/api-reference/approvals/delete-approval-grant-1"},{"title":"Create approval","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/threads/{threadId}/approvals/{approvalId}","href":"/api-reference/approvals/create-approval"}]},{"group":"Sandbox","pages":[{"title":"Execute sandbox command","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/exec","href":"/api-reference/sandbox/execute-sandbox-command"},{"title":"Write sandbox file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/write","href":"/api-reference/sandbox/write-sandbox-file"},{"title":"Read sandbox file","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml post /agents/{agentId}/sandbox/read","href":"/api-reference/sandbox/read-sandbox-file"}]},{"group":"Events","pages":[{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/events","href":"/api-reference/events/list-events"},{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/events","href":"/api-reference/events/list-events-1"},{"title":"List events","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/events","href":"/api-reference/events/list-events-2"},{"title":"Fleet event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /fleets/{fleetId}/events/stream","href":"/api-reference/events/fleet-event-stream"},{"title":"Agent event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/events/stream","href":"/api-reference/events/agent-event-stream"},{"title":"Thread event stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/events/stream","href":"/api-reference/events/thread-event-stream"},{"title":"Thread message stream","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/threads/{threadId}/stream","href":"/api-reference/events/thread-message-stream"}]},{"group":"Models","pages":[{"title":"List models","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /models","href":"/api-reference/models/list-models"}]}]}]},"title":"Retrieve agent - Cerca","buildId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","deploymentId":"dpl_HcHmUS6i3UwswnTHJUEdcTtwfdTQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BRm_l__d.js","utils-f1l1Oc-G.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BlhqDhJO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DHCB7rsC.js","snippetPresets-CYXLx6Hv.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-B78P2dEq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C4YLPVAh.js","shallow-vlLnTDkQ.js","getApiPlaygroundDisplay-D_98hhvf.js","CodeSnippet-DtnZHGqq.js","CodeSnippets-CLFb8KJt.js","Page-kQh739Uz.js","getPastedJson-Cq-zlbnU.js","icon-sN3t983t.js","MethodPill-P_YQ2s09.js","DuplicateIcon-BVzyNsGJ.js","createIcon-B3jqgqC6.js","DynamicMarkdown-Crwq6WG_.js","SectionHeading-C7pGS2Bb.js","axios-vUo_bRtp.js","Markdown-BuPH8yuW.js","clsx-CCOYKgaU.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BnkC_6oA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BM4S31-f.js"]}